# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::LoadWriterPLY Class Reference

The LoadWriterPLY class is a ResourceLoadWriter capable of reading PLY files. More...

`#include <vlPLY.hpp>`

Inheritance diagram for vl::LoadWriterPLY:

List of all members.

## Public Member Functions

virtual const char * | className ()
| Returns the name of the class.
| LoadWriterPLY ()
ref< ResourceDatabase > | loadResource (const String &path) const
ref< ResourceDatabase > | loadResource (VirtualFile *file) const
bool | writeResource (const String &, ResourceDatabase *) const
| Not supported yet.
bool | writeResource (VirtualFile *, ResourceDatabase *) const
| Not supported yet.

## Detailed Description

The LoadWriterPLY class is a ResourceLoadWriter capable of reading PLY files.

Definition at line 56 of file vlPLY.hpp.

## Constructor & Destructor Documentation

vl::LoadWriterPLY::LoadWriterPLY | ( | ) | `[inline]`

Definition at line 60 of file vlPLY.hpp.

## Member Function Documentation

virtual const char* vl::LoadWriterPLY::className | ( | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::ResourceLoadWriter.

Definition at line 59 of file vlPLY.hpp.

ref<ResourceDatabase> vl::LoadWriterPLY::loadResource | ( | const String & | path ) | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

Definition at line 62 of file vlPLY.hpp.

References vl::loadPLY().

ref<ResourceDatabase> vl::LoadWriterPLY::loadResource | ( | VirtualFile * | file ) | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

Definition at line 67 of file vlPLY.hpp.

References vl::loadPLY().

bool vl::LoadWriterPLY::writeResource | ( | const String & | ,
|  | ResourceDatabase * |
| ) |  | const`[inline, virtual]`

Not supported yet.

Implements vl::ResourceLoadWriter.

Definition at line 73 of file vlPLY.hpp.

bool vl::LoadWriterPLY::writeResource | ( | VirtualFile * | ,
|  | ResourceDatabase * |
| ) |  | const`[inline, virtual]`

Not supported yet.

Implements vl::ResourceLoadWriter.

Definition at line 79 of file vlPLY.hpp.

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/plugins/vlPLY.hpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:43.
Permission is granted to use this page to write and publish articles regarding Visualization Library.